%define	name	kcdlabel
%define	version	2.12
%define	release	2mdk

%define	section	Multimedia/Graphics
%define	title	Kcdlabel
%define	Summary	KCDLabel is a program used to create covers for CD cases.

Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Graphical desktop/KDE
URL:		http://kcdlabel.sourceforge.net/
Source0:	%name-%version.tar.bz2
Source1:	%name-icons.tar.bz2
Source2:	%name-sk.po
Source3:	%name-sk.gmo
Patch0:		kcdlabel-CXX.patch.bz2
Patch1:		kcdlabel-sk_locale.patch.bz2
BuildRoot:	%_tmppath/%name-%{version}-buildroot
Buildrequires:	XFree86-devel, libfam-devel, libqt3-devel
Requires:	libqt3

%description
KCDLabel is a KDE program used to create covers, labels and booklets for your
CD cases.

%prep
%setup -q 
%setup -q -T -D -a1 
%patch0 -p0 -b .kcdlabel-CXX
%patch1 -p0 -b .kcdlabel-temp_sk_locale

# add slovak locale
cp %{SOURCE2} po/sk.po
cp %{SOURCE3} po/sk.gmo

%build
%configure	--disable-rpath \
		--with-xinerama
%make

%install
rm -rf %buildroot
%makeinstall

# menu entry
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%title" \
longtitle="%Summary"
EOF

# install png icons
%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

# delete unwanted file
rm -f %buildroot/%_docdir/HTML/en/%name/en.new

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING README INSTALL AUTHORS
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%doc %_docdir/HTML/en/*
%_bindir/*
%_datadir/applnk/Multimedia/kcdlabel.desktop
%defattr(0644,root,root,0755)
%_menudir/*
%_miconsdir/*
%_iconsdir/*
%_liconsdir/*

%changelog
* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.12-2mdk
- rebuild
- change summary macro to avoid possible conflicts if we were to build debug package
- cosmetics
- %%configure with a few options

* Tue Jun 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.12-1mdk
- 2.12

* Sat Apr 26 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 2.11-2mdk
- fixed Buildrequires (thnx. to Stefan's robot)

* Mon Apr 21 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 2.11-1mdk
- initial import into Mandrake contrib
- created patch to fix Makefile.in (generate bad binary name, and uses bad
  arguments to libtool)
- convert and add png icons
- temporary add sk locale file via spec file, it will be merged in next version,
  thanks to Tomas Olah

